<?php
/**
 * @file Drupal Ipsum admin pages
 */

/**
 * Form callback
 * 
 * @see drupal_ipsum_menu().
 */
function drupal_ipsum_admin_config() {
  // get base form
  $form = _drupal_ipsum_get_form();
  
  // add markup element
  $form['markup'] = array(
    '#markup' => '<h3>' . t('Default settings for Drupal Ipsum') . '</h3>',
    '#weight' => -999,
  );
  
  $form['drupal_ipsum_field'] = array(
    '#title' => t('Add "Fill with Drupal Ipsum" checkbox to text fields'),
    '#type' => 'checkbox',
    '#default_value' => variable_get_value('drupal_ipsum_field'),
  );
  
  return system_settings_form($form);
}

/**
 * Validate callback
 * 
 * @see drupal_ipsum_admin_config().
 */
function _drupal_ipsum_admin_config_validate($form, &$form_state) {
  if (!is_numeric($form_state['values']['drupal_ipsum_length'])) {
    form_set_error('drupal_ipsum_length', t('Drupal Ipsum text length must be numeric'));
  }
}